Name: ntfs-3g
Version: 1.516
Release: alt1

Serial: 2

Summary: third generation Linux NTFS driver
URL: http://www.ntfs-3g.org/
Group: System/Kernel and hardware
License: GPL2

Source0: %name-%version.tgz

Packager: Alexey Sidorov <alexsid@altlinux.ru>

Requires: lib%name = %serial:%version-%release

# Automatically added by buildreq on Tue Jul 18 2006
BuildRequires: gcc-c++ glibc-devel-static libfuse-devel linux-libc-headers pkg-config

%description
The NTFS-3G driver is an open source, GPL licensed, freely available NTFS driver
for Linux with read and write support. It provides safe and fast handling of the
Windows XP, Windows Server 2003, Windows 2000 and Windows Vista file systems.
Most POSIX file system operations are supported, with the exception of full file
ownership and access right support.

This package contains utils for %name.

%package -n lib%name
Summary: Shared libraries for %name
Summary(ru_RU.KOI8-R): Динамические версии библиотек для %name
Group: System/Libraries

%description -n lib%name
The NTFS-3G driver is an open source, GPL licensed, freely available NTFS driver
for Linux with read and write support. It provides safe and fast handling of the
Windows XP, Windows Server 2003, Windows 2000 and Windows Vista file systems.
Most POSIX file system operations are supported, with the exception of full file
ownership and access right support.

This package contains shared libraries for %name.

%package -n lib%name-devel
Summary: Development files for %name
Summary(ru_RU.KOI8-R): Файлы разработчика приложений, использующих %name
Group: Development/C

%description -n lib%name-devel
The NTFS-3G driver is an open source, GPL licensed, freely available NTFS driver
for Linux with read and write support. It provides safe and fast handling of the
Windows XP, Windows Server 2003, Windows 2000 and Windows Vista file systems.
Most POSIX file system operations are supported, with the exception of full file
ownership and access right support.

This package contains header files for %name.

%package -n lib%name-devel-static
Summary: Static libraries for %name
Summary(ru_RU.KOI8-R): Статические версии библиотек для %name
Group: Development/C
PreReq: lib%name-devel = %serial:%version-%release

%description -n lib%name-devel-static
The NTFS-3G driver is an open source, GPL licensed, freely available NTFS driver
for Linux with read and write support. It provides safe and fast handling of the
Windows XP, Windows Server 2003, Windows 2000 and Windows Vista file systems.
Most POSIX file system operations are supported, with the exception of full file
ownership and access right support.

This package contains development libraries required for packaging
statically linked %name-based software.

%prep
%setup -q -n %name-%version

%build
%__autoreconf
export FLAGS="%optflags -DNDEBUG -DNO_DEBUG -D_GNU_SOURCE $__STDC_VERSION__ "
%configure --disable-ldconfig
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%doc AUTHORS CREDITS ChangeLog NEWS README
/sbin/mount.ntfs-3g
%_bindir/ntfs-3g
%_man8dir/*

%files -n lib%name
%_libdir/lib*.so.*

%files -n lib%name-devel
%_libdir/lib*.so
%dir %_includedir/ntfs-3g/
%_includedir/ntfs-3g/*.h

%files -n lib%name-devel-static
%_libdir/lib*.a

%changelog
* Wed May 16 2007 Alexey Sidorov <alexsid@altlinux.ru> 2:1.516-alt1
- new version (emergency, security fix release)

* Mon Apr 16 2007 Alexey Sidorov <alexsid@altlinux.ru> 2:1.417-alt1
- new version

* Wed Mar 28 2007 Alexey Sidorov <alexsid@altlinux.ru> 2:1.328-alt1
- new version
- remove ntfs-3g-0.20070102-BETA-alt-noldconfig.patch (fixed by upstream)

* Wed Feb 21 2007 Alexey Sidorov <alexsid@altlinux.ru> 2:1.0-alt1
- document and release version update to stable status

* Fri Feb 16 2007 Alexey Sidorov <alexsid@altlinux.ru> 1:20070207-alt1.RC1
- New packager
- 20070102-BETA -> 20070207-RC1
- support old FUSE kernel modules (#10831, fixed by upstream)

* Fri Jan 05 2007 Igor Zubkov <icesik@altlinux.org> 1:20070102-alt1.BETA
- 20070822-BETA -> 20070102-BETA :)
- add serial
- update Url

* Thu Aug 31 2006 Igor Zubkov <icesik@altlinux.org> 20070822-alt1.BETA
- 20070803-BETA -> 20070822-BETA
- headers move from /usr/include/ntfs/ to /usr/include/ntfs-3g/ by upstream

* Tue Aug 15 2006 Igor Zubkov <icesik@altlinux.org> 20070803-alt1.BETA
- 20070714-BETA -> 20070803-BETA
- convert spec to UTF-8
- add docs to main package

* Tue Jul 18 2006 Igor Zubkov <icesik@altlinux.ru> 20070714-alt3.BETA
- fix requires

* Tue Jul 18 2006 Igor Zubkov <icesik@altlinux.ru> 20070714-alt2.BETA
- fix postin/postun scripts (add ldconfig)

* Tue Jul 18 2006 Igor Zubkov <icesik@altlinux.ru> 20070714-alt1.BETA
- total spec clean up

* Mon Jul 17 2006 <hihin_cat_narod_dot_ru> 20070714-BETA
- 2006/07/14: ntfs-3g beta is released.
